# Put your title here!!
Keywords: scientific visualization

H5Part Utility Tools

## H5Part Utility Tools

- h5pAttrib
- h5pToGNUplot

## h5pAttrib

h5pAttrib is an inspection tool that prints to stdout the number of timesteps in a file the file attributes, the step attributes, the dataset names and their values. It's simpler to use than h5dump. Usage options are given by typing:

    % ./h5pAttrib -h
    usage: h5pAttrib [OPTIONS] file

      OPTIONS
       -h, --help           Print help page
       -n, --nstep          Print number of steps
       -A, --fileA          Print file attributes
       -a, --stepA          Print step attributes & values for time step n
       -d, --dataset        Print data sets names & values for time step n
       -H, --header         Print shorter version without the values

### Examples

1. Show file attribute names & values of sample.h5part
h5pAttrib -A sample.h5part
2. Show step attribute names for time step 5 of sample.h5part
h5pAttrib -a 5 -H sample.h5part

## h5pToGNUplot

h5pToGNUplot is a converter from H5Part to two column ASCII text format for loading into GNUplot. Usage options are given by typing:

    % ./h5pToGNUplot -h

    usage: h5pToGNUplot -t TIMESTEP -1 VARIABLE#1 -2 VARIABLE#2 -i INPUTFILE [OPTIONAL_FLAGS]

      FLAGS
       -h, --help           Print help page
       -1, --1var           (REQUIRED) Takes first variable parameter
       -2, --2var           (REQUIRED) Takes second variable parameter
       -i, --input          (REQUIRED) Takes input file name
       -t, --timestep       (REQUIRED) Sets the timestep (Value -1 will result in dumping values of all timesteps.)
       -o, --output         (OPTIONAL) Takes output file name (without this flag, the program will print to stdout)
       -n, --number         (OPTIONAL) Sets number of output points
       -s, --start          (OPTIONAL) Sets the starting particle index

### Examples

1. Create a GNU plot file output.txt from sample.h5part by ploting x vs px for timestep 54
h5pToGNUplot -t 54 -1 x -2 px -i sample.h5part -o output.txt
2. Create a GNU plot file output.txt from sample.h5part by ploting x vs px for timestep 54 using 1200 points from particle index 76
h5pToGNUplot -t 54 -1 x -2 px -i sample.h5part -o output.txt -s 76 -n 1200